function fish_prompt
    if not set -q VIRTUAL_ENV_DISABLE_PROMPT
	set -g VIRTUAL_ENV_DISABLE_PROMPT true
    end

    set_color brwhite
    set_color --background 504945
    set -g __fish_git_prompt_show_informative_status true
    printf '%s' (fish_git_prompt " %s ")

    set_color white
    set_color --background 3c3836
    printf ' %s ' (prompt_pwd -D 8)

    echo

    if test -n "$VIRTUAL_ENV"
	printf "(%s) " (set_color blue)(path basename $VIRTUAL_ENV)(set_color normal)
    end

    set_color normal
    echo
end
